/*
 * ----------------------------------------------------------------------------
 *
 * Gm3u  - A MP3 playlist editor
 *
 * (c) 2000 by Bodo Bauer
 *
 * ----------------------------------------------------------------------------
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ----------------------------------------------------------------------------
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "playlist.h"

/* 
 * Show the about dialog 
 */
void on_about1_activate ( GtkMenuItem *menuitem, gpointer  user_data ) {
  gtk_widget_show ( create_about () );
}

/*
 * two ways to quit the application
 */

/* Menu Exit */
void on_exit1_activate (GtkMenuItem *menuitem, gpointer user_data)
{
  if ( unsaved_changes ) {
    CheckForChanges ( &gtk_main_quit );
  } else { 
    gtk_main_quit ();
  }
}

/* Destroy window */
gboolean on_gm3u_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data )
{
  gboolean retval = TRUE;
  if ( unsaved_changes ) {
    CheckForChanges ( &gtk_main_quit );
  } else {
    gtk_main_quit ();
    retval = FALSE;
  }
  return ( retval );
}




void
on_status_bar_clear_prompt             (GnomeAppBar     *gnomeappbar,
                                        gpointer         user_data)
{

}

