/*
 * ----------------------------------------------------------------------------
 *
 * Gm3u  - A MP3 playlist editor
 *
 * (c) 2000 by Bodo Bauer
 *
 * ----------------------------------------------------------------------------
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ----------------------------------------------------------------------------
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

void SelectFile ( void func(gchar*) );

/*
 * present file section dialog and call given function with
 * full path to selected file if OK button pressed, or with
 * NULL as an argument if operation has been canceled
 */
void SelectFile ( void func(gchar*) ) {
  GtkWidget *filesel = create_select_file_dialog ();

  gtk_file_selection_set_filename ( GTK_FILE_SELECTION ( filesel ), gnome_config_get_string ( "gm3u/path/filesel=/" ) );

  gtk_object_set_data ( GTK_OBJECT ( filesel ), "callback", func );
  gtk_widget_show ( filesel );
}

/* ---------------------------------------------------------------------
 * Callbacks
 * --------------------------------------------------------------------- */

/* 
 * Button OK
 */
void on_select_file_ok_button_clicked ( GtkButton *button, gpointer select_file_dialog ) {
  void (*func)(gchar*) = gtk_object_get_data ( GTK_OBJECT ( select_file_dialog ), "callback" );
  gchar *filename = NULL;

  filename = g_strdup ( gtk_file_selection_get_filename ( GTK_FILE_SELECTION ( select_file_dialog ) ) );
  gnome_config_set_string ( "gm3u/path/filesel", filename );
  gnome_config_sync ();
  gtk_widget_destroy ( GTK_WIDGET ( select_file_dialog ) );
  (*func)( filename );
}

/* 
 * Button Cancel
 */
void on_select_file_cancel_button_clicked ( GtkButton *button, gpointer select_file_dialog ) {
  void (*func)(gchar*) = gtk_object_get_data ( GTK_OBJECT ( select_file_dialog ), "callback" );
  gtk_widget_destroy ( GTK_WIDGET ( select_file_dialog ) );
  (*func)( NULL );
}











